try
{
	$data = (Get-ItemProperty HKLM:\SYSTEM\CurrentControlSet\Control\Power -name HibernateEnabled).HibernateEnabled
	if($data -match '1')
	{
		write-host "Enabled"
	}
	else
	{
		write-host "Disabled"
	}
}
catch
{
	write-host "Unable to get Hibernate status"
}